# -*- coding: utf-8 -*-
from ConfigObject import config_module
import sys
import os

if 'PASTE_CONFIG' in os.environ:
    filenames = [os.environ['PASTE_CONFIG']]
elif sys.argv[-1].endswith('.ini'):
    filenames = [os.path.abspath(sys.argv[-1])]
else:
    filenames = ['/etc/hgapp/hgapp.ini', os.path.expanduser('~/hgapp.ini'), os.path.join(os.getcwd(), 'hgapp.ini')]
    filenames = [filename for filename in filenames if os.path.isfile(filename)]
    if not filenames:
        raise RuntimeError("Cannot find a hgapp.ini")

filename = filenames[-1]

kwargs = dict(
        here = os.path.dirname(filename),
        __file__ = filename,
    )
config_module(__name__, __file__, filename, **kwargs)


