<%def name="field(name, label=None, value='', req=None, **kwargs)">
    <tr>
      <td style="width:10em;">
        <label for="${name}">${label or name.replace('_', ' ').capitalize()}</label>
      </td>
      <td>
        <input type="text" name="${name}"
               ${' '.join(['%s="%s"' % (k, v) for k, v in kwargs.items()])}
               value="${req and req.POST.get(name, '') or value}">
      </td>
    </tr>
</%def>
<%def name="forks(items)">
  %for user, name, description in items:
    <div>
      <a href="${req.hgapp_root}/${user}/${name}">
        ${name}
      </a>
      by
      <a href="${req.hgapp_root}/${user}">
        ${user}
      </a>
      %if description:
      : ${description}
      %endif
    </div>
  %endfor
</%def>
