<%inherit file="/base.mako" />
<%namespace name="macros" file="/macros.mako"/>
<%def name="title()">
Edit repository <a href="${req.application_url}">${package_name}</a>
</%def>
%if req.hgapp_fork:
<div>
  <label>Fork of</label>
  <a href="${req.hgapp_root}${req.hgapp_fork}">${req.hgapp_fork}</a>
</div>
%endif
<form method="POST">
<fieldset>
  <legend>Infos</legend>
  <table>
    ${macros.field('contact', value=repo.ui.config('web', 'contact', ''))}
    ${macros.field('description', value=repo.ui.config('web', 'description', ''), style="width:100%")}
  </table>
  <div>
    <input type="submit"  value="Save">
  </div>
</fieldset>
</form>

%if forks:
<fieldset>
  <legend>Forks</legend>
  ${macros.forks(forks)}
</fieldset>
%endif

%if req.remote_user in req.script_name:
<fieldset>
  <legend>Delete</legend>
  <form action="${req.application_url}/repo.delete" method="GET">
    <input type="submit"  value="Delete repository">
  </form>
</fieldset>
%endif
