<%inherit file="/base.mako" />
<%namespace name="macros" file="/macros.mako"/>
<%def name="title()">
Fork of <a href="${req.application_url}">${package_name}</a>
</%def>

<p>
  You already have forked this repository.
  Please choose a different name or go back to the
  <a href="${req.application_url}">repository</a>.
</p>

<fieldset>
  <legend>Your forks</legend>
  ${macros.forks(forks)}
</fieldset>

<form action="" method="GET" enctype="multipart/form-data">
<fieldset>
  <legend>New fork</legend>

  <table>
    ${macros.field('fork_name', label='Fork name', value=package_name)}
  </table>
  <div>
  <input type="submit" value="Fork">
  </div>
</fieldset>
</form>

