<%inherit file="/base.mako" />
<%namespace name="macros" file="/macros.mako"/>
<%def name="title()">
<a href="${req.hgapp_root or '/'}">${req.hgapp_root}/</a><a
 href="${req.application_url}">${req.remote_user}</a>/preferences
</%def>
%if user_keys:
  <form action="" method="POST">
  <fieldset>
    <legend>Available keys</legend>
    <table>
      %for name, value in sorted(user_keys.items()):
        <tr>
          <td><input type="checkbox" name="hgapp.delete_keys" value="${name}" /></td>
          <td>${name}</td>
          <td><nobr>${value}</nobr></td>
          </tr>
      %endfor
    </table>
    <input type="submit" name="hgapp.del_keys" value="Delete">
  </fieldset>
  </form>
  <p> </p>
%endif

<form action="" method="POST" enctype="multipart/form-data">
<fieldset>
  <legend>New key</legend>
  <table>
    <tr>
      <td><label>Key file</label></td>
        <td>
          <input type="file" name="key_file" value="">
        </td>
      </td>
    </tr>
    ${macros.field('key_name', label='Key name (optional)')}
  </table>
  <div>
  <input type="submit" value="Add key">
  </div>
</fieldset>
</form>

